#include "CoreSliderWidget.h"

class UCoreButtonWidget;

void UCoreSliderWidget::SetValueWithNoCallback(const float value)
{

}

void UCoreSliderWidget::SetValue(const float value)
{

}

void UCoreSliderWidget::SetControlValues(const float minValue, const float maxValue, const float stepValue)
{

}

void UCoreSliderWidget::ResetToDefaultValue()
{

}

void UCoreSliderWidget::OnSliderValueChanged(float value)
{

}

void UCoreSliderWidget::OnSliderUnhovered()
{

}

void UCoreSliderWidget::OnSliderHovered()
{

}

void UCoreSliderWidget::OnSliderHandleReleased()
{

}

void UCoreSliderWidget::OnSliderHandlePressed()
{

}

void UCoreSliderWidget::OnIncrementButtonClicked(UCoreButtonWidget* buttonTarget)
{

}

void UCoreSliderWidget::OnDecrementButtonClicked(UCoreButtonWidget* buttonTarget)
{

}

void UCoreSliderWidget::Increment()
{

}

float UCoreSliderWidget::GetValue() const
{
	return 0.0f;
}

void UCoreSliderWidget::Decrement()
{

}

UCoreSliderWidget::UCoreSliderWidget()
{
	this->_defaultValue = 0.000000;
	this->_minValue = 0.000000;
	this->_maxValue = 1.000000;
	this->_stepSize = 0.010000;
	this->_snapToValueOnClick = true;
	this->_showStepButtons = true;
	this->_canRepeatStepButtons = true;
	this->_sliderWidth = 500.000000;
	this->_analogCursorStickiness = EAnalogCursorStickiness::SliderDefault;
}
